{% load static %}

<nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
    
    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3 text-dark align-middle">
        <i class="bi bi-menu-button-wide align-middle"></i>
    </button>

    <ul class="navbar-nav ml-auto">
        <li class="nav-item">
            <a class="nav-link text-dark" href="#" id="page-top">Manage Panel Administrator</a>
        </li>

        {% if notif_guestbook > 0 %}
            <li class="nav-item">
                <a class="nav-link" href="{% url 'profile:admin_guestbook' %}" data-tooltip="tooltip" data-placement="top" title="{{notif_guestbook}} Buku Tamu belum dibaca">
                    <button class="btn btn-primary">
                        <i class=" bi bi-book text-white"></i> <span class="badge badge-danger" style="vertical-align: top">{{notif_guestbook}}</span>
                    </button>
                </a>
            </li>
        {% endif %}

        {% if notif_complaint > 0 %}
            <li class="nav-item">
                <a class="nav-link" href="{% url 'profile:admin_complaint' %}" data-tooltip="tooltip" data-placement="top" title="{{notif_complaint}} Pengaduan belum dibaca">
                    <button class="btn btn-primary">
                        <i class=" bi bi-chat text-white"></i> <span class="badge badge-danger" style="vertical-align: top">{{notif_complaint}}</span>
                    </button>
                </a>
            </li>
        {% endif %}
        
        <div class="topbar-divider d-none d-sm-block"></div>
        

        <li class="nav-item dropdown no-arrow">
            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ request.user.first_name }} {{ request.user.last_name }}</span>
                <img class="img-profile rounded-circle"
                {% if user.avatar %}
                    src="{{user.avatar.url}}"
                {% else %}
                    src="{% static '/admin/images/profile.png' %}"
                {% endif %}>
            </a>

            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                aria-labelledby="userDropdown">
                <a class="dropdown-item" href="{% url 'profile:admin_user_detail' %}">
                    <i class="bi bi-person-circle"></i>
                    Profile
                </a>
                <a class="dropdown-item" href="{% url 'profile:admin_user_password_edit' %}">
                    <i class="bi bi-key-fill"></i>
                    Ganti Password
                </a>
                <div class="dropdown-divider"></div>
                <button class="dropdown-item" href="#" onclick="logout()">
                    <i class="bi bi-box-arrow-right"></i>
                    Logout
                </button>
            </div>
        </li>
    </ul>

</nav>